# TriangulatorObj Struct Reference

`#include <OpenGl_triangulate.h>`

## Data Fields

short | minit
short | in_poly
short | in_loop
int | nswaps
Pool * | vpool
enum updown *dirs void **ptrlist jmp_buf in_env short looptype short init long nloops long flag long size long *limits long limitcount long newlimitcount long phead long ptail long psize long vcount long lastedge long vdatalast long vdatatop struct Vert * | head
Vert ** | parray
Ray * | raylist
Pool * | raypool
Vert ** | vdata
Vert * | vtop
Vert * | vbottom
Vert * | vlast
Vert * | last [2]
void(* | bgnpoly )(void)
void(* | endpoly )(void)
void(* | bgntmesh )(void)
void(* | swaptmesh )(void)
void(* | vertex )(void *)
void(* | endtmesh )(void)
void(* | error )(char *)

## Field Documentation

void(* TriangulatorObj::bgnpoly)(void)

void(* TriangulatorObj::bgntmesh)(void)

void(* TriangulatorObj::endpoly)(void)

void(* TriangulatorObj::endtmesh)(void)

void(* TriangulatorObj::error)(char *)

enum updown* dirs void** ptrlist jmp_buf in_env short looptype short init long nloops long flag long size long* limits long limitcount long newlimitcount long phead long ptail long psize long vcount long lastedge long vdatalast long vdatatop struct Vert* TriangulatorObj::head

short TriangulatorObj::in_loop

short TriangulatorObj::in_poly

struct Vert* TriangulatorObj::last[2]

short TriangulatorObj::minit

int TriangulatorObj::nswaps

struct Vert** TriangulatorObj::parray

struct Ray* TriangulatorObj::raylist

struct Pool* TriangulatorObj::raypool

void(* TriangulatorObj::swaptmesh)(void)

struct Vert* TriangulatorObj::vbottom

struct Vert** TriangulatorObj::vdata

void(* TriangulatorObj::vertex)(void *)

struct Vert* TriangulatorObj::vlast

struct Pool* TriangulatorObj::vpool

struct Vert* TriangulatorObj::vtop

The documentation for this struct was generated from the following file:

- OpenGl_triangulate.h